<?php
/**
 * Astra Child Theme functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Astra Child
 * @since 1.0.0
 */

/**
 * Define Constants
 */
define( 'CHILD_THEME_ASTRA_CHILD_VERSION', '1.0.0' );

/**
 * Enqueue styles
 */
function child_enqueue_styles() {

	wp_enqueue_style( 'astra-child-theme-css', get_stylesheet_directory_uri() . '/style.css', array('astra-theme-css'), CHILD_THEME_ASTRA_CHILD_VERSION, 'all' );

}

add_action( 'wp_enqueue_scripts', 'child_enqueue_styles', 15 );


// Design Team Modification --Don't Delete __Al Ani
add_action('admin_head', 'my_custom_fonts');

function my_custom_fonts() {
  echo '<style>
  
   .toplevel_page_elementor li > a[href*="admin.php?page=fep-options"] {
        display: none !important;
       
   }
    
    .notice.elementor-message {
        display: none !important;
    }
    
    .elementor-plugins-gopro {
        display: none !important;
    }
    
  </style>';
  
}


add_filter( 'all_plugins', 'hide_plugins');
function hide_plugins($plugins)
{
		
		if(is_plugin_active('flexible-elementor-panel/flexible-elementor-panel.php')) {
				unset( $plugins['flexible-elementor-panel/flexible-elementor-panel.php'] );
		}
		
		if(is_plugin_active('disable-admin-notices/disable-admin-notices.php')) {
				unset( $plugins['disable-admin-notices/disable-admin-notices.php'] );
		}
		
		return $plugins;
}


function remove_update_notifications( $value ) {

    if ( isset( $value ) && is_object( $value ) ) {
        unset( $value->response[ 'flexible-elementor-panel/flexible-elementor-panel.php' ] );
    }

    return $value;
}
add_filter( 'site_transient_update_plugins', 'remove_update_notifications' );

// END === Design Team Modification --Don't Delete __Al Ani
